import type { FieldSettings } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api";
export declare function FieldSettingsButtons({ fieldSettings, onChange, }: {
    fieldSettings: FieldSettings;
    onChange: (fieldSettings: FieldSettings) => void;
}): import("react/jsx-runtime").JSX.Element | null;
